Cloud APIs
/- Managed Planning Data Foundation
- Security & Compliance
Compliance Service
- Get the allowed LegalTag values
Get the LegalTags
Get a LegalTag
List the LegalTags
Create a LegalTag
Update a LegalTag
Validate the LegalTags
Get the allowed LegalTag...
Retrieve allowed values for the given data partition for LegalTag properties when creating a LegalTag. Allowed roles: users.datalake.viewers, users.datalake.editors, users.datalake.admins
Security
bearer
- SLB Saas OSDU (SGP)https://as5.api.enterprisedata.slb.com/api/legal/v1/legaltags:properties
- SLB SaaS OSDU (BRS)https://br5.api.enterprisedata.slb.com/api/legal/v1/legaltags:properties
- SLB Saas OSDU (WEU)https://eu5.api.enterprisedata.slb.com/api/legal/v1/legaltags:properties
- SLB SaaS OSDU (EUT)https://eu6.api.enterprisedata.slb.com/api/legal/v1/legaltags:properties
- SLB Saas OSDU (MDE)https://eu7.api.enterprisedata.slb.com/api/legal/v1/legaltags:properties
- SLB Saas OSDU (PSC)https://us5.api.enterprisedata.slb.com/api/legal/v1/legaltags:properties
- SLB Saas OSDU (USC)https://us7.api.enterprisedata.slb.com/api/legal/v1/legaltags:properties
- SLB Saas OSDU (WUS)https://us8.api.enterprisedata.slb.com/api/legal/v1/legaltags:properties
- SLB Saas OSDU (SAS)https://as6.api.enterprisedata.slb.com/api/legal/v1/legaltags:properties
- SLB Saas OSDU (SWC)https://eu8.api.enterprisedata.slb.com/api/legal/v1/legaltags:properties
- SLB Saas OSDU (MYW)https://as7.api.enterprisedata.slb.com/api/legal/v1/legaltags:properties
- SLB Saas OSDU (ZAN)https://za1.api.enterprisedata.slb.com/api/legal/v1/legaltags:properties
- Mock serverhttps://developer.slb.com/_mock/solutions/compliance-service/apis/osdu-compliance-service/legaltags:properties
curl -i -X GET \
https://as5.api.enterprisedata.slb.com/api/legal/v1/legaltags:properties \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'data-partition-id: string'Retrieved properties successfully.
The values of all the allowed Countries of Origin with the ISO Alpha 2 code and country name.
The values of all the allowed Other Relevant Data Countries with the ISO Alpha 2 code and country name.
The values of all the allowed Security Classifications.
The name of all the allowed Export Classifications.
Response
{ "countriesOfOrigin": { "property1": "string", "property2": "string" }, "otherRelevantDataCountries": { "property1": "string", "property2": "string" }, "securityClassifications": [ "string" ], "exportClassificationControlNumbers": [ "string" ], "personalDataTypes": [ "string" ], "dataTypes": [ "string" ] }